<?

class menu_inicio {

	 // OBJETOS DE LA CLASE
   var $conexionObj2;
   function menu2($id_user){
    $this->conexionObj2 = new conexion();
	$this->conexionObj2->conectarse();
   	$sql_menu_titulo=$this->conexionObj2->consultar("SELECT * FROM menu_usuario AS a INNER JOIN menu AS b ON a.id_menu=b.id where id_usuario='".$id_user."'");
   	//$rst_menu_titulo=mysql_db_query("backup","$sql_menu_titulo");
   	$row=mysql_num_rows($sql_menu_titulo);
   		 echo"<TABLE width=90%>";
   		 echo "<TR class=miTable_tr>";
   		 echo "<TD class=miTable_th1>Sistema Backup EPSILON</TD>";
   		 echo "</TR>";
    while ($row_menu_titulo=mysql_fetch_array($sql_menu_titulo)){
       	 echo "<TR class=miTable_tr><TH class=miTable_th1>".$row_menu_titulo['nombre']."</TH></TR>";
      	 $id_menu=$row_menu_titulo['id_menu'];
         //submenu($id_menu);
       	 $sql_idmenu=$this->conexionObj2->consultar("SELECT * FROM menu_dinamico WHERE id_menu='".$id_menu."'");
      	 //$rst_idmenu=mysql_db_query("backup","$sql_idmenu");
   	  	 while ($rows_idmenu=mysql_fetch_array($sql_idmenu)){
		 	  $tooltips=$rows_idmenu['descripcion'];//<img src="images/sm-duck.gif" width="90" height="44" alt="" border="0">
         	  echo "<TR class=miTable_tr><TD class=miTable_td><a href='".$rows_idmenu['script']."?id_user=$id_user' class=sublevel onmouseover=\"showRollTip('<b>".$tooltips."</b>',event)\" onmouseout=\"hideRollTip()\">".$rows_idmenu['funcionalidad']."</a></TD></TR>";
   	  	 }
   	}
     echo"<TR>";
     echo"<TH><a href=\"index.php\"><font color=#0143A7><div align=right><img src=imagenes/recursos/eliminar.png border=0><font class=titulo6>&nbsp;Salir</div></font></a></TH>";
     echo"</TR>";
     echo"</TABLE>";
   }
}

class todos_usuarios{

var $conexionObj2;
	 function get_usuarios($id_user){
	 		  $this->conexionObj2=new conexion();
			  $this->conexionObj2->conectarse();
			  $rst_get_usuarios=$this->conexionObj2->consultar("SELECT id, nombre FROM usuarios WHERE usertype != '1' or id = '".$id_user."'");
			  while($row_get_usuarios=mysql_fetch_array($rst_get_usuarios)){
			  		echo"<option value=".$row_get_usuarios['id'].">".$row_get_usuarios['nombre']."</option>";		
			  }
	 }

}

class all_users{

var $conexionObj2;
	 function get_usuarios($id_user){
	 		  $this->conexionObj2=new conexion();
			  $this->conexionObj2->conectarse();
			  $rst_get_usuarios=$this->conexionObj2->consultar("SELECT id, nombre FROM usuarios WHERE usertype != '1' OR (id != '1' OR id = '".$id_user."') ");
			  while($row_get_usuarios=mysql_fetch_array($rst_get_usuarios)){
			  		echo"<option value=".$row_get_usuarios['id'].">".$row_get_usuarios['nombre']."</option>";		
			  }
	 }

}

class select_usuarios{

var $conexionObj2;
	 function elimina_usuarios($id_user){
	 		  $this->conexionObj2=new conexion();
			  $this->conexionObj2->conectarse();
			  if($id_user==1){
			  $rst_select_usuarios=$this->conexionObj2->consultar("SELECT id, nombre, username FROM usuarios WHERE id !=1");
			  }else{
			  $rst_select_usuarios=$this->conexionObj2->consultar("SELECT id, nombre, username FROM usuarios WHERE usertype !=1");
			  }
			  
			  while($row_select_usuarios=mysql_fetch_array($rst_select_usuarios)){
			  		echo "<tr class=miTable_tr>";
					echo "<td valign=top class=miTable_td>".$row_select_usuarios['nombre']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_usuarios['username']."</td>";
					echo "<td valign=top class=miTable_td>";
					?>
					<A HREF="usuario_eliminar.php?id=<?php echo"".$row_select_usuarios['id']."";?>", onClick="window.open('usuario_eliminar.php?id=<?php echo"".$row_select_usuarios['id']."";?>','window','width=300,height=150'); return false">Borrar</a>
					<?
					echo "</td>";
					//echo "<A HREF='ejecuta_eliminar_cliente.php?id=".$row_select_usuarios['id']."', onClick='window.open('ejecuta_eliminar_cliente.php?id=".$row_select_usuarios['id']."','window','width=300,height=150'); return false'>Borrar</a>";
			  }
	 }

}

class select_lotes{

var $conexionObj2;
	 function elimina_lotes($inicio,$tamano_pagina){
	 		  $this->conexionObj2=new conexion();
			  $this->conexionObj2->conectarse();
			  //echo "SELECT * FROM lote LIMIT $inicio,$tamano_pagina";
			  $rst_select_lotes=$this->conexionObj2->consultar("SELECT * FROM lote order by id LIMIT $inicio,$tamano_pagina");
			  while($row_select_lotes=mysql_fetch_array($rst_select_lotes)){
			  		echo "<tr class=miTable_tr>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['id']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['fecha']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['hora']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['cantidad']."</td>";
					echo "<td valign=top class=miTable_td>";
					?>
					<A HREF="lote_eliminar.php?id=<?php echo"".$row_select_lotes['id']."";?>", onClick="window.open('lote_eliminar.php?id=<?php echo"".$row_select_lotes['id']."";?>','window','width=300,height=150'); return false">Borrar</a>
					<?
					echo "</td>";
					//echo "<A HREF='ejecuta_eliminar_cliente.php?id=".$row_select_usuarios['id']."', onClick='window.open('ejecuta_eliminar_cliente.php?id=".$row_select_usuarios['id']."','window','width=300,height=150'); return false'>Borrar</a>";
			  }
			  
	 }

}

class todos_menus{

var $conexionObj2;
	 function get_menu(){
	 		  $this->conexionObj2=new conexion();
			  $this->conexionObj2->conectarse();
			  $rst_get_usuarios=$this->conexionObj2->consultar("SELECT id, nombre FROM menu");
			  while($row_get_usuarios=mysql_fetch_array($rst_get_usuarios)){
			  		echo"<option value=".$row_get_usuarios['id'].">".$row_get_usuarios['nombre']."</option>";		
			  }
	 }

}
?>